# docker-gdp

## Install docker
```
sudo pacman -S docker docker-compose docker-machine
```

## Clone this repos

this will clone this repos (main docker environement) and the edlp drupal 8 source code (without sites/default folder)

```
git clone --recursive -o figli https://figureslibres.io/gogs/bachir/docker-gdp.git
```

## Docker

### build
only before the first run (may take some time)
```
sudo docker-compose build
```
### run
then each time you want to launch the app
```
sudo docker-compose up -d
```

## DB
Only at first up, creat the basex database
```
sudo docker exec -it gdp_basex_1 bash
basex
run db:create('gdp','/srv/basex/src/gdp.tei.xml',...)
```

## Doc

https://github.com/guidesDeParis/webapp/blob/master/install.md

http://docs.basex.org/wiki/Docker

https://hub.docker.com/r/basex/basexhttp
